Skip to main content
Retrieves all Payment objects.

HTTP Request

GET https://api.vindicia.com/payments

Route (URL) Parameters

None.

Query Parameters

Accepts

None.

Returns

JSON - A list array with a data property that contains an array of up to limit Payments, starting after the specified starting_after Payment (or ending before the specified ending_before Payment). Each entry in the array is a full Payment object. If no more Payments are available, the resulting array will be empty. This request should never throw an error. Also:
  • “total_count”: Integer count of the number of Payments in the returned list.
  • “url”: The query string provided in the request
  • “next”: The route (partial URL) to the next Payment object (string to select the “next”); included id should match that of the last object returned here
  • “previous”: The route (partial URL) to the previous Payment object (string to select the “previous”); included id should match that of the first object returned here

Example Request

The above command returns JSON structured like this:
Parent topic:Payments